Package org.h2gis.functions.spatial.predicates

# Class ST_DWithin

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.predicates.ST_DWithin

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_DWithin extends org.h2gis.api.DeterministicScalarFunction
ST_DWithin returns true if the geometries are within the specified distance of one another.

Author:
  Adam Gouge, Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_DWithin()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static Boolean`
`isWithinDistance(org.locationtech.jts.geom.Geometry geomA, org.locationtech.jts.geom.Geometry geomB, Double distance)`
Returns true if the geometries are within the specified distance of one another.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_DWithin

public ST_DWithin()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### isWithinDistance

public static Boolean isWithinDistance(org.locationtech.jts.geom.Geometry geomA, org.locationtech.jts.geom.Geometry geomB, Double distance) throws SQLException
Returns true if the geometries are within the specified distance of one another.

Parameters:
  `geomA` - Geometry A
  `geomB` - Geometry B
  `distance` - Distance
Returns:
  True if if the geometries are within the specified distance of one another
Throws:
  `SQLException`